Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12648

Description

There is an error in the sqlite3 query that selects custom CRS from qgis.db. The query tries to get the auth_id and auth_name fields,

which don't exist. It doesn't query the epsg field, which does exist. Note that the insert queries for tbl_srs don't affect any of these fields.

As a result, if you set your map canvas or layer to a custom crs it doesn't make it into the project file. Also, the dialogs don't have the

correct default custom crs set when you open them.

This patch removes the auth_id & auth_name fields and puts in the epsg field. It works on Kubuntu 9.10, QGIS trunk r13139.

Alternatively, the database structure could be in error.

Cheers,

Roland

Associated revisions

Revision 5f21db70 - 2010-03-25 01:56 AM - Jürgen Fischer

fix #2588

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13155 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 812c5572 - 2010-03-25 01:56 AM - Jürgen Fischer

fix #2588

git-svn-id: http://svn.osgeo.org/qgis/trunk@13155 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-24 05:57 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:812c5572 (SVN r13156).
